Subject: [Rats] Complete charter language in response to IESG feedback

From: Roman Danyliw <[email-masked]>
Date: Thu, 7 Feb 2019 16:33:36 +0000

Hello!

For reference, this is the complete charter language in response to the following IESG feedback:

https://mailarchive.ietf.org/arch/msg/rats/XubbghLAJD73HXA6SdYWwvj0kBY

Roman

==[ snip]==
Introduction

Relying parties require evidence about the trustworthiness of remote system components [RFC4949] they interact with. Remote attestation procedures (RATS) enable relying parties to establish a level of confidence in the trustworthiness of remote system components by creating and processing attestation evidence. A relying party can then decide whether to consider a remote system component trustworthy or not.

To improve the confidence in a system component's trustworthiness a relying party may require evidence about:
* system component identity,
* composition of system components, including nested components,
* roots of trust,
* assertion/claim origination or provenance,
* manufacturing origin,
* system component integrity,
* system component configuration, or
* operational state and measurements of steps which led to the operational state.

While domain-specific attestation mechanisms such as Trusted Computing Group (TCG) Trusted Platform Module (TPM)/Trusted Software Stack (TSS), Fast Identity Online (FIDO) Alliance attestation and Android Keystore attestation exist, there is no interoperable way to create and process attestation evidence to make determinations about system components among relying parties of different manufactures and origins. 

Goals

This WG will standardize formats for describing assertions/claims about system components and associated evidence; and procedures and protocols to convey these assertions/claims to relying parties.  Given the security and privacy sensitive nature of these assertions/claims, the WG will specify approaches to protect this exchanged data.  While a relying party may use reference, known or expected values or thresholds to assess the assertions/claims, the procedures for this activity are out of scope for this WG.

The working group will cooperate and coordinate with other IETF WGs such as TEEP, SUIT and SACM; and work with organizations in the community, such as TCG, Android Keystore and FIDO Alliance, as appropriate.  The WG will also evaluate prior work such as NEA and proprietary attestation technologies.  The WG will also evaluate prior work such as NEA and proprietary attestation technologies.

Program of Work

The working group will develop standards supporting interoperable remote attestation procedures for system components. The main deliverables are as follows:

1. Specify use cases for remote attestation.

2. Specify terminology and architecture that enable attestation techniques.  The architecture may include a system security model for the signing key material and involve at least the system component, system component provider, and the relying authority.

3. Standardize an information model for assertions/claims which provide information about system components characteristics scoped by the specified use-cases.

4. Standardize data models that implements and secures the defined information model (e.g., CBOR Web Token structures [RFC8392], JSON Web Token structures [RFC7519]).

5. Standardize interoperable protocols to securely convey assertions/claims.

---

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Thu, 7 Feb 2019 17:02:04 +0000

Apologies if paths crossed, there is one item missing in the updated charter language below (annotated) with ***:

On 2/7/19, 08:33, "RATS on behalf of Roman Danyliw" <[email-masked] on behalf of [email-masked]> wrote:

    Hello!

    
    Roman
    
    ==[ snip]==
    Introduction

***  * other factors that could influence trust decisions

    Goals

    
    Program of Work

    

    
    
    _______________________________________________
    RATS mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/rats